/* -------------------------- psimage.h ------------------------- */
#ifndef TRUE
#define TRUE  1
#endif
#ifndef FALSE
#define FALSE 0
#endif

#ifdef min
#undef min
#endif
#define min(a, b) ((a) < (b) ? (a) : (b))

typedef int BOOL;

/* data output mode: binary, ascii85, hex-ascii */

typedef enum { BINARY, ASCII85, ASCIIHEX } DATAMODE;

typedef struct {
  FILE     *fp;                   /* file pointer for jpeg file		 */
  char     *filename;             /* name of image file			 */
  int      width;                 /* pixels per line			 */
  int      height;                /* rows				 */
  int      components;            /* number of color components		 */
  int      bits_per_component;    /* bits per color component		 */
  float    dpi;                   /* image resolution in dots per inch   */
  DATAMODE mode;                  /* output mode: 8bit, ascii, ascii85	 */
  long     startpos;              /* offset to jpeg data		 */
  BOOL     landscape;             /* rotate image to landscape mode?	 */
  BOOL     adobe;                 /* image includes Adobe comment marker */
} imagedata;

#define	DPI_IGNORE	-1.0      /* dummy value for imagedata.dpi       */
#define DPI_USE_FILE     0.0      /* dummy value for imagedata.dpi       */

#define AUTO_ROTATE	1
#define BINARY_MODE	2
#define ASCHEX_MODE	4
#define PART_EPS	8

#define PAPER_A0  0
#define PAPER_A1  1
#define PAPER_A2  2
#define PAPER_A3  3
#define PAPER_A4  4
#define PAPER_A5  5
#define PAPER_A6  6
#define PAPER_B5  7
#define PAPER_LETTER 8
#define PAPER_LEGAL  9
#define PAPER_LEDGER 10
#define PAPER_P11x17 11
